/* Styles de base */
body {
    font-family: 'Garota', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #1E0342;
    color: #EBF4F6;
    line-height: 1.6;
}

@font-face {
    font-family: 'Yipes';
    src: url('font/SVN-Yipes.woff2') format('woff2'),
         url('font/SVN-Yipes.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Garota';
    src: url('font/Montserrat-Regular.woff2') format('woff2'),
         url('font/Montserrat-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

/* Style du header */
header {
    background-color: #071952;
    color: #EBF4F6;
    text-align: center;
    padding: 2rem 0;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

header h1 {
    margin: 0;
    font-size: 3rem;
    font-family: 'Yipes', sans-serif;
}

/* Section des univers */
#univers {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
    padding: 2rem;
}

/* Élément d'univers */
.univers-item {
    margin: auto;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    max-width: 350px;
    border: 1px solid #5151E5;
    border-radius: 15px;
    overflow: hidden;
    background-color: #131032;
    width: 22rem
}

.univers-item:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.3);
}

/* Images */
.univers-img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-bottom: 2px solid #5151E5;
}

.univers-item h2 {
    margin: 1rem 0;
    font-size: 1.2rem;
    color: #5151E5;
}

/* Footer */
footer {
    background-color: #071952;
    color: #EBF4F6;
    text-align: center;
    padding: 1rem 0;
    margin-top: 2rem;
    font-size: 0.9rem;
    font-family: ""
}

/* Responsive Design */
@media (max-width: 768px) {
    #univers {
        flex-direction: column;
        gap: 1rem;
    }
    
    .univers-img {
        height: 150px;
    }
}
